Subject: MPLSCP

From: [email-masked]
Date: Wed, 27 Jun 2001 19:09:26 +0200

Hello,

Looking into section 4.2 of RFC 3032, I find that the MPLS CP protocol has value '0x8281'.

However, the list on the IANA homepage indicates the following:
* 8281            Tag Switching - Unicast                         [Davie]
* 8283            Tag Switching - Multicast                       [Davie]

I have 2 questions:

1/ Does the use 'tag switching - unicast' on the IANA homepage indeed correspond
to the use for MPLSCP as intended in RFC 3032?

2/ Is the value '8283' as specified on the IANA homepage, not meant to be used for
MPLS at all (since only 1 NCP -MPLS CP- is used for both unicast and multicast MPLS traffic)?

Regards,

     Francis.

---

From: Eric Gray <[email-masked]>
Date: Wed, 27 Jun 2001 16:29:13 -0400

Francis,

    I had asked a very much related question (twice - see below) in E-Mail
dating back to the middle of May.  I am somewhat disturbed that I have not
yet received any sort of reply.

    Perhaps you will be luckier.

--
Eric Gray

> MPLS at all (since only 1 NCP -MPLS CP- is used for both unicast and multicast MPLS traffic)?

Message 1
=========

>    Subject: Re: PPP protocol type for MPLS packets ...
>       Date: Tue, 15 May 2001 13:01:29 -0400
>       From: Eric Gray
>         To: Elwin Eliazer, Eric Rosen, George Swallow,
>            Scott Bradner
>         CC: [email-masked], [email-masked]
>
>
>> Elwin,
>>
>>     Quoting from Standard 51 (PPP), section 6.5 towards the bottom of
>> page 48:
>>
>> "The Protocol field is never compressed when sending any LCP packet.
>>  This rule guarantees unambiguous recognition of LCP packets."
>>
>> ====================================================================
>> Eric/George/Scott,
>>
>> On a related issue, I notice that - while RFC 3032 lists the MPLSCP
>> protocol number as 0x8281 - PPP-numbers, located at:
>>
>>     ftp://ftp.isi.edu/in-notes/iana/assignments/ppp-numbers
>>
>> Shows this number assigned as follows -
>>
>> "8281   Tag Switching - Unicast              [Davie]"
>>
>> I can't recall any discussion about re-assigning this protocol number
>> and I wonder - is possible at this point to make this happen (between
>> B. Davie, Cisco and IANA)?
>>
>> --
>> Eric Gray
>>
>> You wrote:
>>
>> > Hi,
>> >
>> > Will it be a good practice to disable protocol
>> > field compression (during LCP) as the PPP protocol
>> > field value for MPLS unicast and multicast are
>> > 0x0281 and 0x0283, as defined in RFC 3032,
>> > section 4.3, that has the most significant
>> > byte as non-zero?
>> >
>> > regards,
>> > Elwin.
>> >
>> > =====
>> > -------
>> > Elwin Stelzer Eliazer
>> > Corona Networks
>> > San Jose, CA
>> > 408-519-3832
>> > -------
>> >
>> > __________________________________________________
>> > Do You Yahoo!?
>> > Yahoo! Auctions - buy the things you want at great prices
>> > http://auctions.yahoo.com/
>>

Message 2
=========

>>
>>
> Subject: Earlier mail
>    Date: Wed, 23 May 2001 15:54:15 -0400
>    From: Eric Gray
>     To: George Swallow, Eric Rosen, Scott Bradner
>
>
>
>
> Eric/George/Scott,
>
>     Earlier I sent you guys a question, to which I have not
> yet received a reply of any sort.  On looking into it, I saw
> that I had embedded it in a reply to someone else - and
> you probably missed it.
>
>     My question was:
>
> I notice that - while RFC 3032 lists the MPLSCP
> protocol number as 0x8281 - PPP-numbers, located at:
>
>     ftp://ftp.isi.edu/in-notes/iana/assignments/ppp-numbers
>
> Shows this number assigned as follows -
>
> "8281   Tag Switching - Unicast              [Davie]"
>
> I can't recall any discussion about re-assigning this protocol number
> and I wonder - is possible at this point to make this happen (between
> B. Davie, Cisco and IANA)?
>
> --
> Eric Gray
>
>

---

From: Eric Rosen <[email-masked]>
Date: Thu, 28 Jun 2001 10:11:25 -0400

You should implement as specified in RFC 3032. 

I will write to IANA and ask them to (a) remove the 8283 value (which is not
used),  and (b) to  change the  references from  "tag switching  [davie]" to
"mpls [rfc3032]".